From 2b15b958b1315c32da386ff321b5fa3f383da1e9 Mon Sep 17 00:00:00 2001
From: lukken <lukken@astron.nl>
Date: Wed, 22 Sep 2021 08:43:10 +0000
Subject: [PATCH] L2SS-340: Integration test cleaner startup sequence

---
 sbin/run_integration_test.sh | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

diff --git a/sbin/run_integration_test.sh b/sbin/run_integration_test.sh
index 39d266ac1..636e0945a 100755
--- a/sbin/run_integration_test.sh
+++ b/sbin/run_integration_test.sh
@@ -6,10 +6,10 @@ if [ -z "$LOFAR20_DIR" ]; then
   exit 1
 fi
 
-# Restart all required containers
+# Start and stop sequence
 cd "$LOFAR20_DIR/docker-compose" || exit 1
 make stop device-sdp device-pcc device-sst sdptr-sim pypcc-sim
-make start databaseds dsconfig device-sdp device-pcc device-sst jupyter elk sdptr-sim pypcc-sim
+make start databaseds dsconfig  jupyter elk
 
 # Give dsconfig and databaseds time to start
 sleep 15
@@ -18,6 +18,17 @@ sleep 15
 cd "$TANGO_LOFAR_LOCAL_DIR" || exit 1
 sbin/update_ConfigDb.sh CDB/integration_ConfigDb.json
 
+cd "$LOFAR20_DIR/docker-compose" || exit 1
+make start sdptr-sim pypcc-sim
+
+# Give the simulators time to start
+sleep 5
+
+make start device-sdp device-pcc device-sst
+
+# Give the devices time to start
+sleep 5
+
 # Start the integration test
 cd "$LOFAR20_DIR/docker-compose" || exit 1
 make start integration-test
-- 
GitLab